Skip to main content
GET
/
accountingData
Query Accounting Data
curl --request GET \
  --url https://api.jtl-cloud.com/erp/accountingData \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "TotalItems": 123,
  "PageNumber": 123,
  "PageSize": 123,
  "Items": [
    {
      "DocumentNumber": "A1004465",
      "DocumentId": 1,
      "DocumentDate": "2023-02-01T12:45:00.0000000+00:00",
      "SalesOrderNumber": "D456-64894-132",
      "SalesOrderId": 123,
      "ExternalSalesOrderNumber": "B342-46456-4234",
      "DepartureCountry": {
        "CountryISO": "DE",
        "StateISO": "PA"
      },
      "ShipmentCountry": {
        "CountryISO": "DE",
        "StateISO": "PA"
      },
      "BillingAddress": {
        "Id": 123,
        "Company": "Sportbedarf Sommer",
        "Company2": "Innovation Division",
        "FormOfAddress": "Mr.",
        "Title": "Dr.",
        "FirstName": "John",
        "LastName": "Doe",
        "Street": "Main St. 123",
        "Address2": "Floor 5, Apt 302",
        "PostalCode": "12345",
        "City": "Example City",
        "State": "Example State",
        "CountryIso": "DE",
        "VatID": "DE123456789",
        "PhoneNumber": "+49 1234 445556661",
        "MobilePhoneNumber": "+49 160 123 4567",
        "EmailAddress": "example@email.com",
        "Fax": "+49 1234 4455566615"
      },
      "ShipmentAddress": {
        "Id": 123,
        "Company": "Sportbedarf Sommer",
        "Company2": "Innovation Division",
        "FormOfAddress": "Mr.",
        "Title": "Dr.",
        "FirstName": "John",
        "LastName": "Doe",
        "Street": "Main St. 123",
        "Address2": "Floor 5, Apt 302",
        "PostalCode": "12345",
        "City": "Example City",
        "State": "Example State",
        "CountryIso": "DE",
        "VatID": "DE123456789",
        "PhoneNumber": "+49 1234 445556661",
        "MobilePhoneNumber": "+49 160 123 4567",
        "EmailAddress": "example@email.com",
        "Fax": "+49 1234 4455566615"
      },
      "CurrencyIso": "EUR",
      "Type": 0,
      "CompanyId": 123,
      "CompanyVatId": "DE123456789",
      "CustomerVatId": "DE123456789",
      "SalesChannelId": "1-1-1",
      "IsCancelled": false,
      "AccountDataLineItems": [
        {
          "ItemId": 123,
          "Type": 0,
          "Name": "USB Headset",
          "TaxClassId": 123,
          "GeneralLedgerAccount": "4300",
          "Quantity": 1,
          "VatRate": 19,
          "VatAmount": 24.99,
          "TotalDiscountGrossAmount": 3,
          "TotalDiscountNetAmount": 2.43,
          "TotalGrossAmount": 19.99,
          "TotalNetAmount": 16.19,
          "SortOrder": 1
        }
      ]
    }
  ],
  "TotalPages": 123,
  "HasPreviousPage": true,
  "HasNextPage": true,
  "NextPageNumber": 123,
  "PreviousPageNumber": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

from
string<date-time>

Filters documents starting from a specific date and time

to
string<date-time>

Filters documents up to a specific date and time

companyId
integer<int32>
type
enum<integer>

Specifies the type of document. 0 = Invoice, 1 = Credit, 2 = Invoice correction, 3 = Invoice cancellation, 4 = credit cancellation, 5 = invoice correction cancellation 0 = Invoice, 1 = Credit, 2 = InvoiceCorrection, 3 = InvoiceCancellation, 4 = CreditCancellation, 5 = InvoiceCorrectionCancellation, 6 = Liquidation, 7 = LiquidationCancellation

Available options:
0,
1,
2,
3,
4,
5,
6,
7
exportCurrencyInDepartureCountry
boolean

If true, exports total sums in the currency of the departure country

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Provides a detailed overview of all non-pending sales orders, including invoices, credits, invoice corrections, invoice cancellations, credit cancellations, and invoice correction cancellations, along with their associated line items

Represents a paginated list of items

TotalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

PageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

PageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

Items
object[]
required

Gets or sets the collection of items contained in the paged list.

TotalPages
integer<int32>
read-only

Gets the total number of pages based on the total number of items and the page size.

HasPreviousPage
boolean
read-only

Gets a value indicating whether there is a previous page available in the paginated list.

HasNextPage
boolean
read-only

Gets a value indicating whether there is a next page available.

NextPageNumber
integer<int32>
read-only

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

PreviousPageNumber
integer<int32>
read-only

Gets the number of the previous page. If there is no previous page, it returns 1.